# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::HTMLHtmlElement Class Reference

Root of an HTML document. More...

`#include <html_base.h>`

Inheritance diagram for DOM::HTMLHtmlElement:

[legend]
Collaboration diagram for DOM::HTMLHtmlElement:

[legend]
List of all members.

## Public Member Functions

| HTMLHtmlElement (const HTMLHtmlElement &other)
| HTMLHtmlElement (const Node &other)
HTMLHtmlElement & | operator= (const HTMLHtmlElement &other)
HTMLHtmlElement & | operator= (const Node &other)
DOMString | version () const
void | setVersion (const DOMString &)

## Protected Member Functions

| HTMLHtmlElement (HTMLHtmlElementImpl *impl)

## Detailed Description

Root of an HTML document.

See the HTML element definition in HTML 4.0.

Definition at line 577 of file html_base.h.

## Member Function Documentation

DOMString HTMLHtmlElement::version | ( |  | ) | const

| Version information about the document's DTD. See the version attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 523 of file html_base.cpp.

void HTMLHtmlElement::setVersion | ( | const DOMString & |  | ) |

| see version Definition at line 529 of file html_base.cpp.

The documentation for this class was generated from the following files:

- html_base.h
- html_base.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:33:56 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003